| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::TableViewItemDelegate Class Reference
Inheritance diagram for Digikam::TableViewItemDelegate:

## Public Member Functions
| TableViewItemDelegate (TableViewShared *const tableViewShared, QObject *const parent=nullptr)
void | paint (QPainter *painter, const QStyleOptionViewItem &option, const QModelIndex &tableViewModelIndex) const override
QSize | sizeHint (const QStyleOptionViewItem &option, const QModelIndex &tableViewModelIndex) const override

## Member Function Documentation

## ◆ sizeHint()

QSize Digikam::TableViewItemDelegate::sizeHint | ( | const QStyleOptionViewItem & | option,
|  | const QModelIndex & | tableViewModelIndex
| ) |  | const
| override

we have to take the maximum of all columns for the height